cifti::BinaryFile::ImplInterface Class Referenceabstract
Inheritance diagram for cifti::BinaryFile::ImplInterface:
[legend]

## Public Member Functions

virtual void | open (const AString &filename, const OpenMode &opmode)=0
virtual void | close ()=0
const AString & | getFilename () const
virtual void | seek (const int64_t &position)=0
virtual int64_t | pos ()=0
virtual int64_t | size ()=0
virtual void | read (void *dataOut, const int64_t &count, int64_t *numRead)=0
virtual void | write (const void *dataIn, const int64_t &count)=0

## Protected Attributes

AString | m_fileName

The documentation for this class was generated from the following files:

- BinaryFile.h
- BinaryFile.cxx